*{
    color: #252525;
}
#blog{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 50px 0px;
    background-color: #f9f8ff;
}

.blog-heading h3 {
    color: #252525;
    font-size: 2.4rem;
    font-weight: 800;
    text-transform: uppercase;
    line-height: 2.4rem;
}

.blog-heading strong {
    color: #0a0ef8;
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 0.3px;
    text-transform: uppercase;
    line-height: 2.4rem;
}

.blog-box-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    max-width: 1050px;
    width: 90%;
    margin-top: 50px;
}

.blog-box {
    max-width: 100%;
    width: 100%;
    height: 100%;
    padding: 10px;
    display: flex;
    flex-direction: column;
    transition: all ease 0.3s;
}

.blog-box:hover{
    background-color: #ffffff;
    box-shadow: 16px 20px 50px rgba(0,0,0,0.12);
}

.blog-box-img {
    width: 100%;
    height: 100%;
    max-height: 300px;
    overflow: hidden;
    display: flex;
    position: relative;
}
.blog-box-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition: all ease 0.3s;
}

.blog-img-link {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: none;
    justify-content: center;
    align-items: center;
    background-color: #ffffff;
    color: #252525;
    box-shadow: 2px 2px 30px rgba(20,97, 212, 0.12);
    animation: fade 0.3s;
}

.blog-img-link img{ 
    width: 20px;
    height: 20px;
}

.blog-box:hover .blog-box-img a{
    display: flex;
}

.blog-box:hover .blog-box-img img{
    filter:blur(3px);
}

.blog-box:hover .blog-box-img a img{
    filter:none;
}

@keyframes fade{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}

.blog-box-text {
    display: flex;
    flex-direction: column;
    padding: 30px 10px 20px 10px;
}

.blog-box-text strong, 
.blog-box-text p{
    color: #797979;
    font-size: 0.9rem;
    font-weight: 400;
}

.blog-box-text a{
    font-size: 1.4rem;
    color: #252525;
    font-weight: 800;
    line-height: normal1.8rem;
    margin: 5px 0px 10px 0px;
}

.blog-box-text p{
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.blog-author {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 20px;
}

.blog-author-img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 10px;
}

.blog-author-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.blog-author-text {
    display: flex;
    flex-direction: column;
}

.blog-author-text strong {
    color: #252525;
    font-weight: 800;
}

.blog-author-text span {
    color: #797979;
    font-size: 0.8rem;
    font-weight: 500;
}

/*--------- Articles --------------------------*/
.article-box {
    max-width: 1050px;
    width: 90%;
    margin-top: 50px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.article-box-img {
    width: 100%;
    height: 100%;
    max-height: 300px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.article-box-img img{
    width: 100%;
    height: 100%;
}

.article-box-text {
    display: flex;
    flex-direction: column;
    padding: 30px 10px 20px 10px;
}

.article-box-text strong, 
.article-box-text p{
    color: #797979;
    font-size: 1.1rem;
    font-weight: 400;
    padding-bottom: 10px;
}

.article-box-text h2{
    font-size: 1.8rem;
    color: #252525;
    font-weight: 800;
    line-height: 1.8rem;
    margin: 10px 0px 10px 0px;
}

.list {
    list-style: none;
    counter-reset: list-counter;
    padding-left: 0;
}

.list li {
    counter-increment: list-counter;
    font-size: 1.5rem;
    margin: 10px;
}

.list p{
    margin-left: 10px;
}

.list li::before {
    content: counter(list-counter);
    margin-right: 5px;
    font-weight: bold;
}

/*---------------------------------------------------------------------------*/


/*------------ Responsive ---------------*/
@media(max-width:920px){
    .blog-box-container{
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px 0px;
    }
}

@media(max-width:600px){
    .blog-box-container{
        grid-template-columns: 1fr;
    }
    .blog-heading h3{
        font-size: 1.6rem;
        line-height: 1.6rem;
    }
}